import * as React from 'react';
import { PCRSwitchProps } from '../../typings/PCRSwitchProps';
export declare type UseAriaCheckedOptions = {
    setState?: PCRSwitchProps['setState'];
    checked?: PCRSwitchProps['checked'];
};
/**
 * A small hook to help manage correct aria-checked state when switch
 * is used as an uncontrolled component. We need this to run
 * for a11y purposes. FOr the `switch` role, `aria-checked` is required.
 */
export declare const useAriaChecked: ({ setState, checked }: UseAriaCheckedOptions) => React.RefObject<HTMLInputElement>;
//# sourceMappingURL=useAriaChecked.d.ts.map