import { CommonProps } from '../../typings/PCRCommonProps';
/**
 * A generic way to setup controlled components by
 * removing  state hook return results, setting `checked`,
 * and `value` props too.
 */
export declare const useControlled: <S, P extends CommonProps<S>>(props: P) => {
    checked: boolean | undefined;
    value: string | number | readonly string[] | undefined;
    state: S | undefined;
} & Omit<P, "state" | "setState" | "value" | "checked" | "defaultValue">;
//# sourceMappingURL=useControlled.d.ts.map